Bug 240552 - fcore dies with stack trace
fcore dies with stack trace
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Muldoon
Len DiMaggio
Depends On:
  Show dependency treegraph
Reported: 2007-05-18 09:03 EDT by Daniel Berrange
Modified: 2008-04-07 14:08 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 14:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 4313 None None None Never

  None (edit)
Description Daniel Berrange 2007-05-18 09:03:44 EDT
Description of problem:
Try to take a core dump of any process & fcore will exit with a stack trace

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. fcore `pgrep xfs`
Actual results:
Exception in thread "main" inua.eio.BufferUnderflowException
   at inua.eio.ByteBuffer.get(fcore)
   at frysk.util.CoredumpAction$CoreMapsBuilder.buildMap(fcore)
   at frysk.sys.proc.MapsBuilder.construct(fcore)
   at frysk.sys.proc.MapsBuilder.construct(fcore)
   at frysk.util.CoredumpAction.write_elf_file(fcore)
   at frysk.util.CoredumpAction.allExistingTasksCompleted(fcore)
   at frysk.proc.ProcBlockAction.checkFinish(fcore)
   at frysk.proc.ProcBlockAction.access$3(fcore)
   at frysk.proc.ProcBlockAction$1.execute(fcore)
   at frysk.event.EventLoop.runEventLoop(fcore)
   at frysk.event.EventLoop.run(fcore)
   at fcore.main(fcore)

And a zero length core file

Expected results:
A complete core file

Additional info:
Comment 1 Phil Muldoon 2007-05-18 09:21:58 EDT
Hi, and thanks for the bug report.

This is likely a another manifestation of:


Where the address-space mapped in for 64 bit process in Frysk was short of the
full address-space of a process. On X86_64, the vDSO, which is a required and
non-elided segment for corefiles, is mapped right at the very end of the address
space. Due to this short mapping, buffer underflows were occurring on x86_64

This has been fixed upstream; I'll take another look at x86_64 to make sure
there is no regression. If not, this bug will be picked up on the next FC6 Frysk
Comment 2 Bug Zapper 2008-04-03 20:46:39 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.